<?php
/**
 * The template part for displaying post
 *
 * @package The WP Business
 * @subpackage the_wp_business
 * @since The WP Business 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?> 
<?php
	$content = apply_filters( 'the_content', get_the_content() );
	$audio = false;

	// Only get audio from the content if a playlist isn't present.
	if ( false === strpos( $content, 'wp-playlist-script' ) ) {
		$audio = get_media_embedded_in_content( $content, array( 'audio' ) );
	}
?>
<article class="postbox smallpostimage p-3 mb-4">
  <div class="hovereffect mb-3">
    <?php
      if ( ! is_single() ) {

        // If not a single post, highlight the audio file.
        if ( ! empty( $audio ) ) {
          foreach ( $audio as $audio_html ) {
            echo '<div class="entry-audio">';
              echo $audio_html;
            echo '</div><!-- .entry-audio -->';
          }
        };
      };
    ?>
  </div>
  <div class="clearfix"></div>
  <div class="row">
    <?php if(get_theme_mod('the_wp_business_metafields_date',true)==1){ ?>
      <div class="col-lg-2 col-md-2">
        <div class="datebox mb-1 text-center">
          <div class="date-monthwrap py-4 px-md-0 px-3">
            <a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>" class="p-0">
              <span class="date-month"><?php echo esc_html( get_the_date( 'M' ) ); ?></span>
              <span class="date-day"><?php echo esc_html( get_the_date( 'd') ); ?></span>
            <span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span>
          </a>
          </div>
          <div class="yearwrap py-1">
            <span class="date-year"><?php echo esc_html( get_the_date( 'Y' ) ); ?></span>
          </div>
        </div>
      </div>
    <?php }?>
    <div class="col-lg-10 col-md-10 ">
      <h2 class="pt-0 m-0"><a href="<?php echo esc_url( get_permalink() );?>" class="p-0"><?php esc_html(the_title()); ?></a></h2>   
      <?php if(get_theme_mod('the_wp_business_blog_post_content') == 'Full Content'){ ?>
        <?php the_content(); ?>
      <?php }
      if(get_theme_mod('the_wp_business_blog_post_content', 'Excerpt Content') == 'Excerpt Content'){ ?>
        <?php if(get_the_excerpt()) { ?>
          <div class="entry-content"><p><?php $excerpt = get_the_excerpt(); echo esc_html( the_wp_business_string_limit_words( $excerpt, esc_attr(get_theme_mod('the_wp_business_post_excerpt_number','20')))); ?> <?php echo esc_html( get_theme_mod('the_wp_business_button_excerpt_suffix','...') ); ?></p></div>
        <?php }?>
      <?php }?>
      <div class="metabox py-2">
        <?php if(get_theme_mod('the_wp_business_metafields_author',true)==1){ ?>
          <i class="fa fa-user pr-2" aria-hidden="true"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>" class="pr-3"><span class="entry-author"> <?php esc_html(the_author()); ?></span><span class="screen-reader-text"><?php esc_html(the_author()); ?></span></a>
        <?php }?>
        <?php if(get_theme_mod('the_wp_business_metafields_comment',true)==1){ ?>
          <i class="fa fa-comments pr-2" aria-hidden="true"></i><span class="entry-comments"> <?php comments_number( __('0 Comments','the-wp-business'), __('0 Comments','the-wp-business'), __('% Comments','the-wp-business') ); ?></span> 
        <?php }?>
      </div>
      <?php if ( get_theme_mod('the_wp_business_blog_button_text','Read Full') != '' ) {?>
        <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small hvr-sweep-to-right mt-3"><?php echo esc_html( get_theme_mod('the_wp_business_blog_button_text',__('Read Full', 'the-wp-business')) ); ?><span class="screen-reader-text"><?php echo esc_html( get_theme_mod('the_wp_business_blog_button_text',__('Read Full', 'the-wp-business')) ); ?></span></a>
      <?php }?>
    </div>
    <div class="clearfix"></div>
  </div>
</article> 